Bug 828511 - Recovered VM shows stopped even when it is running
Recovered VM shows stopped even when it is running
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 16:08 EDT by james labocki
Modified: 2012-12-13 14:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 14:49:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-06-04 16:08:37 EDT
Description of problem:
When a VM recovers from an outage (network, restart, etc.), Cloud Engine's state for the running instance shows STOPPED even though the VM is running on the cloud provider.
Comment 2 Mike Orazi 2012-09-06 11:44:29 EDT
I'm going to move this to QE to see what present behavior.
Comment 3 pushpesh sharma 2012-09-28 02:39:44 EDT
1.Launched a instance on ec2.
2.When the instance state is running, stopped the deltacloud-core service.
3.Instance state changed to vanished.
4.Start the deltacloud-core service again.
5.Instance state changed to Running again within few seconds.


Verified on:
[root@dhcp201-113 ~]# rpm -qa|grep aeolus
rubygem-aeolus-cli-0.7.2-1.el6cf.noarch
aeolus-configure-2.8.7-1.el6cf.noarch
aeolus-conductor-daemons-0.13.14-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.13.14-1.el6cf.noarch
aeolus-conductor-doc-0.13.14-1.el6cf.noarch
aeolus-conductor-0.13.14-1.el6cf.noarch

Note You need to log in before you can comment on or make changes to this bug.